<div class="body-list">
<div class="container">
  <div class="row justify-content-center align-items-center">
    <div class="col-md-12 col-md-offset-1 col-sm-12 col-sm-offset-1 form-box">
      <mat-card class="mat-elevation-z4" style="margin-top: 3%;">
        <mat-card-title class="title">Lista Solicitudes de crédito</mat-card-title>
        <hr>
        <div class="row">
          <div class="col-12 col-sm-12 col-md-12 col-lg-12 col-xl-12">
            <div class="table-container mat-elevation-z8">
              <mat-table #table [dataSource]="solicitudes">
                <ng-container matColumnDef="firstName">
                  <mat-header-cell *matHeaderCellDef> Nombre </mat-header-cell>
                  <mat-cell *matCellDef="let user"> {{user.firstName}}</mat-cell>
                </ng-container>
                
                <ng-container matColumnDef="requesting">
                  <mat-header-cell *matHeaderCellDef> Referente </mat-header-cell>
                  <mat-cell *matCellDef="let user">{{user.requesting}} </mat-cell>
                </ng-container>
                <ng-container matColumnDef="monthlyExpenses">
                  <mat-header-cell *matHeaderCellDef> Ingresos mensuales </mat-header-cell>
                  <mat-cell *matCellDef="let user"> {{user.monthlyIncome}}</mat-cell>
                </ng-container>
                <ng-container matColumnDef="monthlyIncome">
                  <mat-header-cell *matHeaderCellDef> Egresos mensuales </mat-header-cell>
                  <mat-cell *matCellDef="let user"> {{user.monthlyExpenses}} </mat-cell>
                </ng-container>
                <ng-container matColumnDef="requestedAmount">
                    <mat-header-cell *matHeaderCellDef> Monto solicitado </mat-header-cell>
                    <mat-cell *matCellDef="let user"> {{user.requestedAmount }} </mat-cell>
                  </ng-container>
                <ng-container matColumnDef="actions">
                  <mat-header-cell *matHeaderCellDef> Acciones
                  </mat-header-cell>
                  <mat-cell *matCellDef="let user">
                    <button matTooltipPosition="above" matTooltip="Ver detalles" class="btn btn-accept"
                      (click)="openModalDetails(modalDetails)">Detalles</button>
                  </mat-cell>
                </ng-container>
                <mat-header-row
                  *matHeaderRowDef="['firstName', 'requesting', 'monthlyExpenses','monthlyIncome','requestedAmount','actions']">
                </mat-header-row>
                <mat-row
                  *matRowDef="let row; columns: ['firstName', 'requesting', 'monthlyExpenses','monthlyIncome','requestedAmount','actions']">
                </mat-row>
              </mat-table>
            </div>
          </div>
        </div>
      </mat-card>
    </div>
  </div>
</div>
</div>

<ng-template #modalDetails let-c="close" let-d="dismiss">
  <div class="modal-header">
    <h4 class="modal-title title">Detalles Del Solicitante</h4>
    <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <div class="row">
      <div class="col-6 col-md-12 col-sm-12">
        <mat-list>
          <div class="row">
            <div class="col-4">
              <mat-list-item>Nombre</mat-list-item>
            </div>
            <mat-divider></mat-divider>
            <div class="col-8">
              <mat-list-item>{{user.name}}
              </mat-list-item>
            </div>
          </div>
          <mat-divider></mat-divider>
          <div class="row">
            <div class="col-4">
              <mat-list-item>Documento</mat-list-item>
            </div>
            <div class="col-8">
              <mat-list-item>xxxx</mat-list-item>
            </div>
          </div>
          <mat-divider></mat-divider>
          <div class="row">
            <div class="col-4 ">
              <mat-list-item>Email</mat-list-item>
            </div>
            <div class="col-8">
              <mat-list-item>{{user.Email}}</mat-list-item>
            </div>
          </div>
          <mat-divider></mat-divider>
       
          <div class="row">
            <div class="col-4">
              <mat-list-item>Ingresos Mensuales</mat-list-item>
            </div>
            <div class="col-8">
              <mat-list-item>{{user.monthlyIncome}}</mat-list-item>
            </div>
           
          </div>
          
        </mat-list>
        
      </div>
      
      <div class="col-6 col-md-12 col-sm-12" style="margin-left:5px">
        <mat-list>
          <div class="row">
            <div class="col-4">
              <mat-list-item>Egresos Mensuales</mat-list-item>
            </div>
            <div class="col-8">
              <mat-list-item>{{user.monthlyExpenses}}</mat-list-item>
            </div>
          </div>
          <mat-divider></mat-divider>
          
         
          
          <div class="row">
            <div class="col-4">
              <mat-list-item>Monto solicitado</mat-list-item>
            </div>
            <div class="col-8">
              <mat-list-item>{{user.requestedAmount}}</mat-list-item>
            </div>
          </div>
          <mat-divider></mat-divider>
          
        </mat-list>
      </div>
    </div>  
  </div>
  <div class="modal-footer">
   <!-- <button type="button" class="btn btn-accept" (click)="openModalAccept(modalAccept, this.idAux);c('Close click')">Aceptar</button>
    <button type="button" class="btn btn-cancel" (click)=" openModalDenny(modalDenny,this.idAux); c('Close click')">Rechazar</button>
    -->
  </div>
</ng-template>


<!--MODAL DE CONFIRMACIÓN-->
<ng-template #modalAccept let-c="close" let-d="dismiss">
  <div class="modal-header">
    <h4 class="modal-title tittle">Confirmación de Aceptación</h4>
    <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
      <div>¿ Está seguro de que desea Aceptar la solicitud ?</div> 
  </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-accept" (click)="acceptRequest(); deleteRow(); c('Close click');">Aceptar</button>
    <button type="button" class="btn btn-cancel" (click)="c('Close click');">Cancelar</button>
  </div>
</ng-template>


<!--Modal de denegación-->
<ng-template #modalDenny let-c="close" let-d="dismiss">
  <div class="modal-header">
    <h4 class="modal-title title">Confirmación de Rechazo</h4>
    <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
      <div>¿ Está seguro de que desea Rechazar la solicitud ?</div> 
  </div>
  <div class="modal-footer">
      <button type="button" class="btn btn-success" (click)=" rejectRequest(); deleteRow(); c('Close click');">Rechazar</button>
    <button type="button" class="btn btn-danger" (click)="c('Close click');">Cancelar</button>
    
  </div>
</ng-template>